Page MenuHomePhabricator

vg_common_json: Override value_provider list
ClosedPublic

Authored by jsuya on Sep 10 2019, 5:39 AM.

Details

Summary

If value_provider is applied to Efl.Ui.Animation_View, it is passed as vector object.
The passed value_provider list passes to Vg_File_Data.
If there is a value_Provider list in Vg_File_Data,
it apply the property to Lottie_Animation using lottie_animation_property_override api.

Depends on D9874

Test Plan

...

Eo *vp = efl_add(EFL_GFX_VG_VALUE_PROVIDER_CLASS, p);
efl_gfx_vg_value_provider_keypath_set(vp, "**");
efl_gfx_vg_value_provider_fill_color_set(vp, 100, 0 ,0 ,255);
efl_ui_animation_view_value_provider_override(anim_view, vp);

vp = efl_add(EFL_GFX_VG_VALUE_PROVIDER_CLASS, p);
efl_gfx_vg_value_provider_keypath_set(vp, "**");
efl_gfx_vg_value_provider_stroke_width_set(vp, 50.0);
efl_gfx_vg_value_provider_stroke_color_set(vp, 0, 255, 0, 100);
efl_ui_animation_view_value_provider_override(anim_view, vp);
...

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Sep 10 2019, 5:39 AM
jsuya requested review of this revision.Sep 10 2019, 5:39 AM
jsuya updated this revision to Diff 25033.Sep 16 2019, 12:52 AM
jsuya edited the summary of this revision. (Show Details)

update message

jsuya updated this revision to Diff 25034.Sep 16 2019, 1:00 AM
jsuya retitled this revision from [WIP]vg_common_json: Override value_provider list to vg_common_json: Override value_provider list.
jsuya edited the summary of this revision. (Show Details)
jsuya edited the test plan for this revision. (Show Details)

update commit

jsuya updated this revision to Diff 25317.Sep 22 2019, 7:06 PM

update commit

jsuya updated this revision to Diff 25318.Sep 22 2019, 7:10 PM

update commit

jsuya updated this revision to Diff 25319.Sep 22 2019, 7:12 PM
jsuya edited the test plan for this revision. (Show Details)

update message

jsuya updated this revision to Diff 25321.Sep 22 2019, 7:25 PM

rebase commit

jsuya updated this revision to Diff 25324.Sep 22 2019, 10:37 PM

Update commit

  • fix vp list update.
Hermet requested changes to this revision.Sep 23 2019, 10:08 PM

Please check one comment.

src/lib/elementary/efl_ui_animation_view.c
719

I think this is unnecessary,
we can simply call everytime efl_key_data_set(pd->vg, "value_providers", pd->vp_list);

This revision now requires changes to proceed.Sep 23 2019, 10:08 PM
jsuya updated this revision to Diff 25434.Sep 24 2019, 12:18 AM

update commit

Hermet requested changes to this revision.Sep 26 2019, 3:54 AM

One more comment.

src/lib/elementary/efl_ui_animation_view.c
744

We need a more unique name,
Let's change the name to "_vg_value_providers"

This revision now requires changes to proceed.Sep 26 2019, 3:54 AM
jsuya updated this revision to Diff 25675.Sep 26 2019, 4:01 AM

modify data_key name

jsuya updated this revision to Diff 25676.Sep 26 2019, 4:03 AM

rebase commit

Hermet accepted this revision.Sep 26 2019, 4:10 AM

Still we need a method to notice vg to update it if the value provider is changed, but we can improve this later.

Please apply this after 1.23

This revision is now accepted and ready to land.Sep 26 2019, 4:10 AM
This revision was automatically updated to reflect the committed changes.